ランタイム: Mix::Graphics::Utility::ICanvasRenderer Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Graphics::Utility::ICanvasRenderer Class Referenceabstract

キャンバスレンダラーインターフェース More...

`#include <ICanvasRenderer.h>`

Inheritance diagram for Mix::Graphics::Utility::ICanvasRenderer:
[legend]
Collaboration diagram for Mix::Graphics::Utility::ICanvasRenderer:
[legend]

## Public Member Functions

virtual Boolean | GetFont (Mix::Graphics::Utility::IFont **ppFont) const =0
| 現在設定されているフォントを取得します More...
virtual void | SetFont (Mix::Graphics::Utility::IFont *pFont)=0
| フォントを設定します More...
virtual const Mix::Vector4 & | GetColor (void) const =0
| 現在設定されているカラーを取得します More...
virtual void | SetColor (const Mix::Vector4 &color)=0
| カラーを設定します More...
virtual Mix::Graphics::BLEND_TYPE | GetBlendType (void) const =0
| ブレンドタイプを取得します More...
virtual void | SetBlendType (Mix::Graphics::BLEND_TYPE type)=0
| ブレンドタイプを設定します More...
virtual const Mix::Matrix3x3 & | GetMatrix (void) const =0
| 現在設定されている変換行列を取得します More...
virtual void | SetMatrix (const Mix::Matrix3x3 &mat)=0
| 変換行列を設定します More...
virtual UInt32 | PushMatrix (void)=0
| 現在の変換行列を保存します More...
virtual UInt32 | PopMatrix (void)=0
| 現在の変換行列を破棄します More...
virtual UInt32 | DrainMatrix (void)=0
| スタックに積まれている全ての行列を排出します More...
virtual const Mix::Rectangle & | GetClip (void) const =0
| 現在のクリップを取得します More...
virtual void | SetClip (Int32 x, Int32 y, Int32 width, Int32 height)=0
| クリップを設定します More...
virtual void | SetClip (const Mix::Rectangle &rect)=0
| クリップを設定します More...
virtual UInt32 | PushClip (void)=0
| 現在のクリップを保存します More...
virtual UInt32 | PopClip (void)=0
| 現在のクリップを破棄します More...
virtual UInt32 | DrainClip (void)=0
| スタックに積まれている全てのクリップを排出します More...
virtual void | AddLine (const Mix::Vector2 &p1, const Mix::Vector2 &p2)=0
| ラインを追加します More...
virtual void | AddLines (const Mix::Vector2 points[], UInt16 numPoints)=0
| ラインを追加します More...
virtual void | AddRectangle (const Mix::RectangleF &rect)=0
| 矩形を追加します More...
virtual void | AddPolygon (const Mix::Vector2 points[], UInt16 numPoints)=0
| 多角形を追加します More...
virtual void | AddFillRectangle (const Mix::RectangleF &rect)=0
| 塗りつぶした矩形を追加します More...
virtual void | AddFillPolygon (const Mix::Vector2 points[], UInt16 numPoints)=0
| 塗りつぶした多角形を追加します More...
virtual void | AddImage (Mix::Graphics::ITexture *pTexture, Float32 dx, Float32 dy, Float32 width, Float32 height, Float32 sx, Float32 sy)=0
| イメージを追加します More...
virtual void | AddImage (Mix::Graphics::ITexture *pTexture, const Mix::RectangleF &dst, const Mix::Vector2 &src)=0
| イメージを追加します More...
virtual void | AddImage (Mix::Graphics::ITexture *pTexture, Float32 dx, Float32 dy, Float32 dw, Float32 dh, Float32 sx, Float32 sy, Float32 sw, Float32 sh)=0
| イメージを追加します More...
virtual void | AddImage (Mix::Graphics::ITexture *pTexture, const Mix::RectangleF &dst, const Mix::RectangleF &src)=0
| イメージを描画します More...
virtual void | AddString (Float32 x, Float32 y, const wchar_t *pStr)=0
| 文字列を追加します More...
virtual void | AddString (const Mix::Vector2 &pos, const wchar_t *pStr)=0
| 文字列を追加します More...
virtual void | AddString (const Mix::RectangleF &rect, const wchar_t *pStr, UInt32 flags=0)=0
| 文字列を追加します More...
virtual void | Update (void)=0
| キャンバスレンダラーを更新します More...
virtual void | Draw (void)=0
| キャンバスレンダラーを描画します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~ICanvasRenderer (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

キャンバスレンダラーインターフェース

## Constructor & Destructor Documentation

virtual Mix::Graphics::Utility::ICanvasRenderer::~ICanvasRenderer | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Graphics::Utility::ICanvasRenderer::GetFont | ( | Mix::Graphics::Utility::IFont ** | ppFont | ) | const

pure virtual

現在設定されているフォントを取得します

Parameters

  [out] | ppFont | 取得したフォントを渡す Mix::Graphics::Utility::IFont インターフェースのポインタのアドレス

Returns
  取得に成功した場合は True を返します

virtual void Mix::Graphics::Utility::ICanvasRenderer::SetFont | ( | Mix::Graphics::Utility::IFont * | pFont | ) |

pure virtual

フォントを設定します

Parameters

  [in] | pFont | Mix::Graphics::Utility::IFont インターフェースのポインタ

virtual const Mix::Vector4& Mix::Graphics::Utility::ICanvasRenderer::GetColor | ( | void |  | ) | const

pure virtual

現在設定されているカラーを取得します

Returns
  カラーを表す Mix::Vector4 クラスを返します

virtual void Mix::Graphics::Utility::ICanvasRenderer::SetColor | ( | const Mix::Vector4 & | color | ) |

pure virtual

カラーを設定します

Parameters

  [in] | color | カラーを表す Mix::Vector4 クラス

virtual Mix::Graphics::BLEND_TYPE Mix::Graphics::Utility::ICanvasRenderer::GetBlendType | ( | void |  | ) | const

pure virtual

ブレンドタイプを取得します

Returns
  ブレンドタイプを表す Mix::Graphics::BLEND_TYPE 列挙定数を返します

virtual void Mix::Graphics::Utility::ICanvasRenderer::SetBlendType | ( | Mix::Graphics::BLEND_TYPE | type | ) |

pure virtual

ブレンドタイプを設定します

Parameters

  [in] | type | ブレンドタイプを表す Mix::Graphics::BLEND_TYPE 列挙定数

virtual const Mix::Matrix3x3& Mix::Graphics::Utility::ICanvasRenderer::GetMatrix | ( | void |  | ) | const

pure virtual

現在設定されている変換行列を取得します

Returns
  行列を表す Mix::Matrix3x3 クラスを返します

virtual void Mix::Graphics::Utility::ICanvasRenderer::SetMatrix | ( | const Mix::Matrix3x3 & | mat | ) |

pure virtual

変換行列を設定します

Parameters

  [in] | mat | 行列

virtual UInt32 Mix::Graphics::Utility::ICanvasRenderer::PushMatrix | ( | void |  | ) |

pure virtual

現在の変換行列を保存します

Returns
  スタックに積まれていた直前の変換行列の数を返します

virtual UInt32 Mix::Graphics::Utility::ICanvasRenderer::PopMatrix | ( | void |  | ) |

pure virtual

現在の変換行列を破棄します

Returns
  スタックに積まれていた直前の変換行列の数を返します

virtual UInt32 Mix::Graphics::Utility::ICanvasRenderer::DrainMatrix | ( | void |  | ) |

pure virtual

スタックに積まれている全ての行列を排出します

Returns
  排出した行列の数を返します

virtual const Mix::Rectangle& Mix::Graphics::Utility::ICanvasRenderer::GetClip | ( | void |  | ) | const

pure virtual

現在のクリップを取得します

Returns
  クリップを表す Mix::Rectangle クラスを返します

virtual void Mix::Graphics::Utility::ICanvasRenderer::SetClip | ( | Int32 | x,
|  | Int32 | y,
|  | Int32 | width,
|  | Int32 | height
| ) |  |

pure virtual

クリップを設定します

Parameters

  [in] | x | 左上Ｘ座標
  [in] | y | 左上Ｙ座標
  [in] | width | 幅
  [in] | height | 高さ

virtual void Mix::Graphics::Utility::ICanvasRenderer::SetClip | ( | const Mix::Rectangle & | rect | ) |

pure virtual

クリップを設定します

Parameters

  [in] | rect | クリップを表す Mix::RectangleF クラス

virtual UInt32 Mix::Graphics::Utility::ICanvasRenderer::PushClip | ( | void |  | ) |

pure virtual

現在のクリップを保存します

Returns
  スタックに積まれていた直前のクリップの数を返します

virtual UInt32 Mix::Graphics::Utility::ICanvasRenderer::PopClip | ( | void |  | ) |

pure virtual

現在のクリップを破棄します

Returns
  スタックに積まれていた直前のクリップの数を返します

virtual UInt32 Mix::Graphics::Utility::ICanvasRenderer::DrainClip | ( | void |  | ) |

pure virtual

スタックに積まれている全てのクリップを排出します

Returns
  排出したクリップの数を返します

virtual void Mix::Graphics::Utility::ICanvasRenderer::AddLine | ( | const Mix::Vector2 & | p1,
|  | const Mix::Vector2 & | p2
| ) |  |

pure virtual

ラインを追加します

Parameters

  [in] | p1 | ラインの1番目の点を表す Mix::Vector2 クラス
  [in] | p2 | ラインの2番目の点を表す Mix::Vector2 クラス

virtual void Mix::Graphics::Utility::ICanvasRenderer::AddLines | ( | const Mix::Vector2 | points[],
|  | UInt16 | numPoints
| ) |  |

pure virtual

ラインを追加します

Parameters

  [in] | points | ラインの点を表す Mix::Vector2 クラスの配列
  [in] | numPoints | ラインの点の数

virtual void Mix::Graphics::Utility::ICanvasRenderer::AddRectangle | ( | const Mix::RectangleF & | rect | ) |

pure virtual

矩形を追加します

Parameters

  [in] | rect | 矩形を表す Mix::RectangleF クラス

virtual void Mix::Graphics::Utility::ICanvasRenderer::AddPolygon | ( | const Mix::Vector2 | points[],
|  | UInt16 | numPoints
| ) |  |

pure virtual

多角形を追加します

Parameters

  [in] | points | 多角形の点を表す Mix::Vector2 クラスの配列
  [in] | numPoints | 多角形の点の数

virtual void Mix::Graphics::Utility::ICanvasRenderer::AddFillRectangle | ( | const Mix::RectangleF & | rect | ) |

pure virtual

塗りつぶした矩形を追加します

Parameters

  [in] | rect | 矩形を表す Mix::RectangleF クラス

virtual void Mix::Graphics::Utility::ICanvasRenderer::AddFillPolygon | ( | const Mix::Vector2 | points[],
|  | UInt16 | numPoints
| ) |  |

pure virtual

塗りつぶした多角形を追加します

Parameters

  [in] | points | 多角形の点を表す Mix::Vector2 クラスの配列
  [in] | numPoints | 多角形の点の数

virtual void Mix::Graphics::Utility::ICanvasRenderer::AddImage | ( | Mix::Graphics::ITexture * | pTexture,
|  | Float32 | dx,
|  | Float32 | dy,
|  | Float32 | width,
|  | Float32 | height,
|  | Float32 | sx,
|  | Float32 | sy
| ) |  |

pure virtual

イメージを追加します

Parameters

  [in] | pTexture | イメージを表す Mix::Graphics::ITexture インターフェースのポインタ
  [in] | dx | 描画先の左上Ｘ座標
  [in] | dy | 描画先の左上Ｙ座標
  [in] | width | 描画先の幅
  [in] | height | 描画先の高さ
  [in] | sx | 描画元の左上Ｘ座標
  [in] | sy | 描画元の左上Ｙ座標

virtual void Mix::Graphics::Utility::ICanvasRenderer::AddImage | ( | Mix::Graphics::ITexture * | pTexture,
|  | const Mix::RectangleF & | dst,
|  | const Mix::Vector2 & | src
| ) |  |

pure virtual

イメージを追加します

Parameters

  [in] | pTexture | イメージを表す Mix::Graphics::ITexture インターフェースのポインタ
  [in] | dst | 描画先矩形を表す Mix::RectangleF クラス
  [in] | src | 描画元座標を表す Mix::Vector2 クラス

virtual void Mix::Graphics::Utility::ICanvasRenderer::AddImage | ( | Mix::Graphics::ITexture * | pTexture,
|  | Float32 | dx,
|  | Float32 | dy,
|  | Float32 | dw,
|  | Float32 | dh,
|  | Float32 | sx,
|  | Float32 | sy,
|  | Float32 | sw,
|  | Float32 | sh
| ) |  |

pure virtual

イメージを追加します

Parameters

  [in] | pTexture | イメージを表す Mix::Graphics::ITexture インターフェースのポインタ
  [in] | dx | 描画先の左上Ｘ座標
  [in] | dy | 描画先の左上Ｙ座標
  [in] | dw | 描画先の幅
  [in] | dh | 描画先の高さ
  [in] | sx | 描画元の左上Ｘ座標
  [in] | sy | 描画元の左上Ｙ座標
  [in] | sw | 描画元の幅
  [in] | sh | 描画元の高さ

virtual void Mix::Graphics::Utility::ICanvasRenderer::AddImage | ( | Mix::Graphics::ITexture * | pTexture,
|  | const Mix::RectangleF & | dst,
|  | const Mix::RectangleF & | src
| ) |  |

pure virtual

イメージを描画します

Parameters

  [in] | pTexture | 描画するイメージを表す Mix::Graphics::ITexture インターフェースのポインタ
  [in] | dst | 描画先矩形を表す Mix::RectangleF クラス
  [in] | src | 描画元矩形 Mix::RectangleF クラス

virtual void Mix::Graphics::Utility::ICanvasRenderer::AddString | ( | Float32 | x,
|  | Float32 | y,
|  | const wchar_t * | pStr
| ) |  |

pure virtual

文字列を追加します

Parameters

  [in] | x | 描画先のX座標
  [in] | y | 描画先のY座標
  [in] | pStr | 文字列

virtual void Mix::Graphics::Utility::ICanvasRenderer::AddString | ( | const Mix::Vector2 & | pos,
|  | const wchar_t * | pStr
| ) |  |

pure virtual

文字列を追加します

Parameters

  [in] | pos | 描画先の座標を表す Mix::Vector2 クラス
  [in] | pStr | 文字列

virtual void Mix::Graphics::Utility::ICanvasRenderer::AddString | ( | const Mix::RectangleF & | rect,
|  | const wchar_t * | pStr,
|  | UInt32 | flags = `0`
| ) |  |

pure virtual

文字列を追加します

Parameters

  [in] | rect | 描画先の矩形を表す Mix::RectangleF クラス
  [in] | pStr | 文字列
  [in] | flags | フラグを表す Mix::Graphics::Utility::STRING_FLAGS 列挙定数の組み合わせ

virtual void Mix::Graphics::Utility::ICanvasRenderer::Update | ( | void |  | ) |

pure virtual

キャンバスレンダラーを更新します

virtual void Mix::Graphics::Utility::ICanvasRenderer::Draw | ( | void |  | ) |

pure virtual

キャンバスレンダラーを描画します

The documentation for this class was generated from the following file:

- Mix/Graphics/Utility/ICanvasRenderer.h